services:
  discord:
    build: ./
    container_name: discord
    restart: always
    image: gitea.matrixwide.com/alex/discord-aidolls:0.1.1
    environment:
      CLIENT_TOKEN: ${CLIENT_TOKEN}
      OLLAMA_IP: ${OLLAMA_IP}
      OLLAMA_PORT: ${OLLAMA_PORT}
      REDIS_IP: ${REDIS_IP}
      REDIS_PORT: ${REDIS_PORT}
      MODEL: ${MODEL}
    networks:
      redis_discord-net:
        ipv4_address: ${DISCORD_IP}
    volumes:
      - discord_data:/app/data
      - ./src:/app/src
    healthcheck:
      test: ["CMD", "redis-cli", "-h", "${REDIS_IP}", "-p", "${REDIS_PORT}", "PING"]
      interval: 10s
      timeout: 5s
      retries: 5
      start_period: 10s

networks:
  redis_discord-net:
    external: true
    name: redis_discord-net

volumes:
  discord_data:
